Subject: bug#45523: closed (Re: [bug#45523] [PATCH 1/2] gnu: Add libyang)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 20 Feb 2021 23:05:01 +0000

Your bug report

#45523: [PATCH 0/2] Update for frrouting & add libyang

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45523: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45523
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#45523] [PATCH 1/2] gnu: Add libyang
From: Leo Famulari <[email-masked]>
To: Vincent Legoll <[email-masked]>
Cc: [email-masked]
Date: Sat, 20 Feb 2021 18:04:31 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Feb 20, 2021 at 08:02:01PM +0100, Vincent Legoll wrote:
> Neither do I, you should have noticed I don't really know what
> I'm doing. Kind of a monkey packager I guess :-)
> 
> I hope that's not too frightening.

No worries, everybody starts at the beginning!

> This looks related to Network Configuration Protocol
> (NETCONF), and I had to find a place for it, so I chose
> to put it near its user...
> 
> WDYT ?

Alright, makes sense.

I pushed as 55fddf93079fa6e75bbe2d748c6abf8b5897d2c3 after updating
libyang to the latest (thanks to `guix lint` for letting me know about a
new release) and making sure that frrouting still builds.

Sorry these patches took so long to get in...

Subject: [PATCH 0/2] Update for frrouting & add libyang
From: Vincent Legoll <[email-masked]>
To: Guix Patches <[email-masked]>
Date: Tue, 29 Dec 2020 11:17:54 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The updated Frrouting needed some adaptations:

- packaging CESNET's libyang
- adding some dependencies (libcap, libyang, pcre for libyang)

I was not sure if I should have made pcre a
propagated-input in libyang instead of adding
it to frrouting or something like that.

I used the BSD-3 license for libyang, this should
be checked as I am not sure this is the right one.

Any feedback ?

-- 
Vincent Legoll